org.eclipse.net4j.util.security

## Class ResponseNegotiatorInjector

- java.lang.Object
- - org.eclipse.net4j.util.security.ResponseNegotiatorInjector

- All Implemented Interfaces:
    IElementProcessor

      public abstract class ResponseNegotiatorInjector
      extends java.lang.Object
      implements IElementProcessor

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseNegotiatorInjector(INegotiator negotiator)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract boolean` | `filterElement(java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, INegotiatorAware negotiatorAware)`
    `INegotiator` | `getNegotiator()`
    `java.lang.Object` | `process(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseNegotiatorInjector

          public ResponseNegotiatorInjector(INegotiator negotiator)

  - ### Method Detail

    - #### getNegotiator

          public INegotiator getNegotiator()

    - #### process

          public java.lang.Object process(IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `IElementProcessor`

    - #### filterElement

          protected abstract boolean filterElement(java.lang.String productGroup,
                                                   java.lang.String factoryType,
                                                   java.lang.String description,
                                                   INegotiatorAware negotiatorAware)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html